<script setup>
import { ref } from "vue";
import TitleBar from "@/components/TitleBar.vue";
import HeroBar from "@/components/HeroBar.vue";
import TitledSection from "@/components/TitledSection.vue";
import MainSection from "@/components/MainSection.vue";
import BottomOtherPagesSection from "@/components/BottomOtherPagesSection.vue";

const titleStack = ref(["Admin", "Responsive layout"]);
</script>

<template>
  <title-bar :title-stack="titleStack" />

  <hero-bar>Responsive layout</hero-bar>

  <titled-section first> Mobile & Tablet </titled-section>

  <main-section>
    <div
      class="md:w-10/12 shadow-2xl md:mx-auto rounded-3xl border-8 border-white overflow-hidden"
    >
      <img
        src="https://static.justboil.me/templates/one/one-tailwind-vue-mobile.png"
        class="block"
      />
    </div>
  </main-section>

  <titled-section> Small laptop 1024px </titled-section>

  <main-section>
    <div
      class="md:w-10/12 shadow-2xl md:mx-auto rounded-3xl border-8 border-white overflow-hidden"
    >
      <img
        src="https://static.justboil.me/templates/one/one-tailwind-vue-1024.png"
        class="block"
      />
    </div>
  </main-section>

  <main-section>
    <div
      class="md:w-10/12 shadow-2xl md:mx-auto rounded-3xl border-8 border-white overflow-hidden"
    >
      <img
        src="https://static.justboil.me/templates/one/one-tailwind-vue-1024-menu-open.png"
        class="block"
      />
    </div>
  </main-section>

  <titled-section> Laptop & desktop </titled-section>

  <main-section>
    <div
      class="md:w-10/12 shadow-2xl md:mx-auto rounded-3xl border-8 border-white overflow-hidden"
    >
      <img
        src="https://static.justboil.me/templates/one/one-tailwind-vue-widescreen.png"
        class="block"
      />
    </div>
  </main-section>

  <bottom-other-pages-section />
</template>
